GroupsApi

All URIs are relative to https://api.ionos.com/cloudapi/autoscaling

Method
HTTP request
Description

GET /groups/{groupId}/actions/{actionId}

Get Scaling Action Details by ID

GET /groups/{groupId}/actions

Get Scaling Actions

DELETE /groups/{groupId}

Delete an Auto Scaling Group by ID

GET /groups/{groupId}

Get an Auto Scaling by ID

GET /groups

Get Auto Scaling Groups

POST /groups

Create an Auto Scaling Group

PUT /groups/{groupId}

Update an Auto Scaling Group by ID

GET /groups/{groupId}/servers/{serverId}

Get Auto Scaling Group Server by ID

GET /groups/{groupId}/servers

Get Auto Scaling Group Servers

groups_actions_find_by_id

groups_actions_find_by_id(action_id, group_id, opts)

Get Scaling Action Details by ID

Retrieves the details of a scaling action specified by its ID. This operation returns metadata, properties, and the current status, for the specified scaling action

Examples

require 'time'
require 'ionoscloud-vm-autoscaling'
# setup authorization
IonoscloudVmAutoscaling.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: tokenAuth
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = IonoscloudVmAutoscaling::GroupsApi.new
action_id = TODO # String | 
group_id = 'group_id_example' # String | 
opts = {
  depth: 8.14 # Float | With this parameter, you control the level of detail of the response objects:    - ``0``: Only direct properties are included; children (such as executions or transitions) are not considered.    - ``1``: Direct properties and children references are included.    - ``2``: Direct properties and children properties are included.    - ``3``: Direct properties and children properties and children's children are included.    - etc.  
}

begin
  # Get Scaling Action Details by ID
  result = api_instance.groups_actions_find_by_id(action_id, group_id, opts)
  p result
rescue IonoscloudVmAutoscaling::ApiError => e
  puts "Error when calling GroupsApi->groups_actions_find_by_id: #{e}"
end

Using the groups_actions_find_by_id_with_http_info variant

This returns an Array which contains the response data, status code and headers.

<Array(, Integer, Hash)> groups_actions_find_by_id_with_http_info(action_id, group_id, opts)

Parameters

Name
Type
Description
Notes

group_id

String

depth

Float

With this parameter, you control the level of detail of the response objects: - ``0``: Only direct properties are included; children (such as executions or transitions) are not considered. - ``1``: Direct properties and children references are included. - ``2``: Direct properties and children properties are included. - ``3``: Direct properties and children properties and children's children are included. - etc.

[optional]

Return type

Action

Authorization

basicAuth, tokenAuth

HTTP request headers

  • Content-Type: Not defined

  • Accept: application/json

groups_actions_get

groups_actions_get(group_id, opts)

Get Scaling Actions

Retrieves the list of the scaling actions for the Auto Scaling group specified by its ID. >Note that currently, only the last ten actions are returned.

Examples

Using the groups_actions_get_with_http_info variant

This returns an Array which contains the response data, status code and headers.

<Array(, Integer, Hash)> groups_actions_get_with_http_info(group_id, opts)

Parameters

Name
Type
Description
Notes

group_id

String

depth

Float

With this parameter, you control the level of detail of the response objects: - ``0``: Only direct properties are included; children (such as executions or transitions) are not considered. - ``1``: Direct properties and children references are included. - ``2``: Direct properties and children properties are included. - ``3``: Direct properties and children properties and children's children are included. - etc.

[optional]

order_by

String

Use this parameter to specify by which the returned list should be sorted. Valid values are: ``createdDate`` and ``lastModifiedDate``.

[optional][default to 'createdDate']

Return type

ActionCollection

Authorization

basicAuth, tokenAuth

HTTP request headers

  • Content-Type: Not defined

  • Accept: application/json

groups_delete

groups_delete(group_id)

Delete an Auto Scaling Group by ID

Deletes the Auto Scaling group specified by its ID. >Deleting the associated servers and disks is currently not implemented.

Examples

Using the groups_delete_with_http_info variant

This returns an Array which contains the response data (nil in this case), status code and headers.

<Array(nil, Integer, Hash)> groups_delete_with_http_info(group_id)

Parameters

Name
Type
Description
Notes

Return type

nil (empty response body)

Authorization

basicAuth, tokenAuth

HTTP request headers

  • Content-Type: Not defined

  • Accept: application/json

groups_find_by_id

groups_find_by_id(group_id, opts)

Get an Auto Scaling by ID

Retrieves the Auto Scaling group specified by its ID including the details.

Examples

Using the groups_find_by_id_with_http_info variant

This returns an Array which contains the response data, status code and headers.

<Array(, Integer, Hash)> groups_find_by_id_with_http_info(group_id, opts)

Parameters

Name
Type
Description
Notes

group_id

String

depth

Float

With this parameter, you control the level of detail of the response objects: - ``0``: Only direct properties are included; children (such as executions or transitions) are not considered. - ``1``: Direct properties and children references are included. - ``2``: Direct properties and children properties are included. - ``3``: Direct properties and children properties and children's children are included. - etc.

[optional]

Return type

Group

Authorization

basicAuth, tokenAuth

HTTP request headers

  • Content-Type: Not defined

  • Accept: application/json

groups_get

groups_get(opts)

Get Auto Scaling Groups

Lists all Auto Scaling groups of your account.

Examples

Using the groups_get_with_http_info variant

This returns an Array which contains the response data, status code and headers.

<Array(, Integer, Hash)> groups_get_with_http_info(opts)

Parameters

Name
Type
Description
Notes

depth

Float

With this parameter, you control the level of detail of the response objects: - ``0``: Only direct properties are included; children (such as executions or transitions) are not considered. - ``1``: Direct properties and children references are included. - ``2``: Direct properties and children properties are included. - ``3``: Direct properties and children properties and children's children are included. - etc.

[optional]

order_by

String

Use this parameter to specify by which the returned list should be sorted. Valid values are: ``createdDate`` and ``lastModifiedDate``.

[optional][default to 'createdDate']

Return type

GroupCollection

Authorization

basicAuth, tokenAuth

HTTP request headers

  • Content-Type: Not defined

  • Accept: application/json

groups_post

groups_post(group_post)

Create an Auto Scaling Group

Creates an Auto Scaling group. > Note that creating a group triggers the creation of two monitoring alarms for 'Scale-In' and 'Scale-Out' operations according to the 'Policy' settings.

Examples

Using the groups_post_with_http_info variant

This returns an Array which contains the response data, status code and headers.

<Array(, Integer, Hash)> groups_post_with_http_info(group_post)

Parameters

Name
Type
Description
Notes

group_post

Return type

GroupPostResponse

Authorization

basicAuth, tokenAuth

HTTP request headers

  • Content-Type: application/json

  • Accept: application/json

groups_put

groups_put(group_id, group_put)

Update an Auto Scaling Group by ID

Updates the Auto Scaling group specified by its ID. The IDs assigned by the system when the resource is created, such as 'properties.datacenter.id' and 'backupunitId', are immutable and cannot be updated.

Examples

Using the groups_put_with_http_info variant

This returns an Array which contains the response data, status code and headers.

<Array(, Integer, Hash)> groups_put_with_http_info(group_id, group_put)

Parameters

Name
Type
Description
Notes

Return type

Group

Authorization

basicAuth, tokenAuth

HTTP request headers

  • Content-Type: application/json

  • Accept: application/json

groups_servers_find_by_id

groups_servers_find_by_id(group_id, server_id, opts)

Get Auto Scaling Group Server by ID

Retrieves the properties of the server specified by its ID. >Note that the server IDs of the Auto Scaling groups are different from and do not match the VM server IDs in the data center.

Examples

Using the groups_servers_find_by_id_with_http_info variant

This returns an Array which contains the response data, status code and headers.

<Array(, Integer, Hash)> groups_servers_find_by_id_with_http_info(group_id, server_id, opts)

Parameters

Name
Type
Description
Notes

group_id

String

depth

Float

With this parameter, you control the level of detail of the response objects: - ``0``: Only direct properties are included; children (such as executions or transitions) are not considered. - ``1``: Direct properties and children references are included. - ``2``: Direct properties and children properties are included. - ``3``: Direct properties and children properties and children's children are included. - etc.

[optional]

Return type

Server

Authorization

basicAuth, tokenAuth

HTTP request headers

  • Content-Type: Not defined

  • Accept: application/json

groups_servers_get

groups_servers_get(group_id, opts)

Get Auto Scaling Group Servers

Retrieves all servers associated with the Auto Scaling group specified by its ID. >Note that the server IDs of the Auto Scaling groups are different from and do not match the VM server IDs in the data center.

Examples

Using the groups_servers_get_with_http_info variant

This returns an Array which contains the response data, status code and headers.

<Array(, Integer, Hash)> groups_servers_get_with_http_info(group_id, opts)

Parameters

Name
Type
Description
Notes

group_id

String

depth

Float

With this parameter, you control the level of detail of the response objects: - ``0``: Only direct properties are included; children (such as executions or transitions) are not considered. - ``1``: Direct properties and children references are included. - ``2``: Direct properties and children properties are included. - ``3``: Direct properties and children properties and children's children are included. - etc.

[optional]

order_by

String

Use this parameter to specify by which the returned list should be sorted. Valid values are: ``createdDate`` and ``lastModifiedDate``.

[optional][default to 'createdDate']

Return type

ServerCollection

Authorization

basicAuth, tokenAuth

HTTP request headers

  • Content-Type: Not defined

  • Accept: application/json

Last updated

Was this helpful?